gstreamer-plugins-qt-1.2.0-lp150.1.8.x86_64.rpm


Advertisement

Description

gstreamer-plugins-qt - C++/Qt bindings for GStreamer

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gstreamer-plugins-qt
Package version 1.2.0
Package release lp150.1.8
Package architecture x86_64
Package type rpm
Installed size 843.43 KB
Download size 216.70 KB
Official Mirror widehat.opensuse.org
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.
This package contains C++/Qt bindings for GStreamer.

Alternatives

Package Version Architecture Repository
gstreamer-plugins-qt - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1()(64bit) -
libQtCore.so.4()(64bit) -
libQtDeclarative.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstapp-1.0.so.0()(64bit) -
libgstaudio-1.0.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstpbutils-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgstvideo-1.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -

Provides

Name Value
gstreamer-plugins-qt = 1.2.0-lp150.1.8
gstreamer-plugins-qt(x86-64) = 1.2.0-lp150.1.8
gstreamer1(element-qtglvideosink)()(64bit) -
gstreamer1(element-qtvideosink)()(64bit) -
gstreamer1(element-qwidgetvideosink)()(64bit) -
libQtGLib-2.0.so.0()(64bit) -
libQtGLib-2_0-0 = 1.2.0
libQtGStreamer-1.0-0 = 1.2.0
libQtGStreamer-1.0.so.0()(64bit) -
libQtGStreamerQuick1.so()(64bit) -
libQtGStreamerUi-1.0.so.0()(64bit) -
libQtGStreamerUtils-1.0.so.0()(64bit) -
libgstqtvideosink.so()(64bit) -

Obsoletes

Name Value
gstreamer-0_10-plugins-qt -
libQtGLib-2_0-0 <= 1.2.0
libQtGStreamer-0_10-0 -
libQtGStreamer-1.0-0 <= 1.2.0

Download

Type URL
Binary Package gstreamer-plugins-qt-1.2.0-lp150.1.8.x86_64.rpm
Source Package gstreamer-plugins-qt-1.2.0-lp150.1.8.src.rpm

Install Howto

Install gstreamer-plugins-qt rpm package:

# zypper install gstreamer-plugins-qt

Files

Path
/usr/lib64/libQtGLib-2.0.so.0
/usr/lib64/libQtGLib-2.0.so.1.2.0
/usr/lib64/libQtGStreamer-1.0.so.0
/usr/lib64/libQtGStreamer-1.0.so.1.2.0
/usr/lib64/libQtGStreamerUi-1.0.so.0
/usr/lib64/libQtGStreamerUi-1.0.so.1.2.0
/usr/lib64/libQtGStreamerUtils-1.0.so.0
/usr/lib64/libQtGStreamerUtils-1.0.so.1.2.0
/usr/lib64/gstreamer-1.0/libgstqtvideosink.so
/usr/lib64/qt4/
/usr/lib64/qt4/plugins/
/usr/lib64/qt4/plugins/imports/
/usr/lib64/qt4/plugins/imports/QtGStreamer/libQtGStreamerQuick1.so
/usr/lib64/qt4/plugins/imports/QtGStreamer/qmldir
/usr/share/doc/packages/gstreamer-plugins-qt/COPYING
/usr/share/doc/packages/gstreamer-plugins-qt/HACKING
/usr/share/doc/packages/gstreamer-plugins-qt/NEWS
/usr/share/doc/packages/gstreamer-plugins-qt/README

Changelog

2017-02-01 - adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
2016-01-05 - idonmez@suse.com
- Add fix-boost-moc.patch from upstream to fix compilation with
boost 1.60 bgo#739752
2015-11-21 - zaitor@opensuse.org
- Add qt-gstreamer-fix-memleak.patch: Fix a mem leak and sync
issues, patch from upstream git.
- Add qt-gstreamer-fixbuild-gst_1-6.patch: Fix build with gstreamer
1.5 and newer, patch from upstream git.
2014-08-27 - hrvoje.senjan@gmail.com
- Merge all subpackage to gstreamer-plugins-qt and
gstreamer-plugins-qt-devel subpackage to fix unresolvable in Factory
- Obsolete old packages (and 0.10 variant)
2014-07-24 - hrvoje.senjan@gmail.com
- Update to 1.2.0
* No changes since rc
- Make devel subpackage require libQtGLib-devel, instead of
pkgconfig(...) provides
- Add Source URL
2014-06-24 - hrvoje.senjan@gmail.com
- Update to 1.1.90
* Added QtQuick2 support, which includes:
- The qtquick2videosink gstreamer element
- The QtGStreamerQuick2 QML plugin
- The Qt5GStreamerQuick glue library
- The qmlplayer2 example
* Packaging changes:
- Tarballs are now distributed in .tar.xz format,
together with a .tar.xz.sha256sum check file, like the rest
of the GStreamer modules.
- Package is NOT fully co-installable with QtGStreamer 0.10.3
* Versioning changes:
- Version numbers are now going to be synced to the GStreamer
API that qt-gstreamer targets, to avoid confusion. So,
this release, instead of being version 1.0.0, it is 1.2.0.
- Add conflict with gstreamer-0_10-plugins-qt
2014-05-10 - hrvoje.senjan@gmail.com
- Update to master branch of qt-gstreamer: integrated gstreamer 1.0 API support
- Name package gstreamer-plugins-qt
2014-03-19 - hrvoje.senjan@gmail.com
- Fixup of the previous change: pkgconfig(QtWidgets) does not exist
in Qt4 world
2014-03-04 - hrvoje.senjan@gmail.com
- Improve requires of devel packages:
* QtOpenGL is linked privately - removed requires
* pkgconfig(gstreamer-(app,base,interfaces,video,plugins-base)-0.10)
are linked privately - removed requires
* pkgconfig(glib-2.0) and pkgconfig(gobject-2.0) are linked privately
- removed requires
* pkgconfig(glesv2) and pkgconfig(gl) are linked privately
- removed requires
* Explicitly mark pkgconfig(QtGui) and pkgconfig(QtWidgets) as Requires
2013-10-15 - hrvoje.senjan@gmail.com
- Update to final 0.10.3:
* Fixes:
+ One build fix change with regards to Qt4/5 cmake var name
- Use bz2 tarball

See Also

Package Description
gstreamer-plugins-qt-devel-1.2.0-lp150.1.8.x86_64.rpm Include files and libraries mandatory for development
gstreamer-plugins-qt5-1.2.0-lp150.1.6.x86_64.rpm C++/Qt bindings for GStreamer
gstreamer-plugins-qt5-devel-1.2.0-lp150.1.6.x86_64.rpm Include files and libraries mandatory for development
gstreamer-plugins-ugly-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-32bit-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-doc-1.12.5-lp150.1.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
gstreamer-plugins-ugly-lang-1.12.5-lp150.1.1.noarch.rpm Translations for package gstreamer-plugins-ugly
gstreamer-plugins-vaapi-1.12.5-lp150.3.1.x86_64.rpm Gstreamer VA-API plugins
gstreamer-plugins-vaapi-doc-1.12.5-lp150.3.1.x86_64.rpm Documentation for gstreamer-plugins-vaapi
gstreamer-rtsp-server-devel-1.12.5-lp150.1.1.x86_64.rpm Development files for the GStreamer-based RTSP server library
gstreamer-transcoder-1.12.2-lp150.2.3.x86_64.rpm GStreamer Transcoding API
gstreamer-transcoder-devel-1.12.2-lp150.2.3.x86_64.rpm Development files for the GStreamer Transcoding API
gstreamer-utils-1.12.5-lp150.1.1.x86_64.rpm Streaming-Media Framework Runtime
gstreamer-validate-1.12.5-lp150.1.1.x86_64.rpm Validate GStreamer Pipelines
gstreamer-validate-devel-1.12.5-lp150.1.1.x86_64.rpm Validate GStreamer Pipelines -- Developer's files
Advertisement
Advertisement